@font-face {
    font-family: "Nunito";
    font-style: normal;
    font-weight: 400;
    src: url("../fonts/Nunito-Regular.ttf");
    font-display: swap;
}
@font-face {
    font-family: "Nunito";
    font-style: normal;
    font-weight: 600;
    src: url("../fonts/Nunito-SemiBold.ttf");
    font-display: swap;
}
@font-face {
    font-family: "Nunito";
    font-style: normal;
    font-weight: bold;
    src: url("../fonts/Nunito-Bold.ttf");
    font-display: swap;
}
@font-face {
  font-family: "Nunito";
  font-style: normal;
  font-weight: 500;
  src: url("../fonts/Nunito-Bold.ttf");
  font-display: swap;
}
@font-face {
    font-family: "Nunito";
    font-style: italic;
    font-weight: 600;
    src: url("../fonts/Nunito-italic.ttf");
    font-display: swap;
}

html {
    height: 100%;
    font-size: 14px;
}

hr {
  border-top: solid #dee2e6;
  border-width: 1px 0 0 0;
  margin: 1rem 0;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-size: 14px;
  font-weight: 400;
  padding: 0;
  margin: 0;
  min-height: 100%;
  background-color: var(--body-color);
  color: var(--primary-text-color);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
body.blocked-scroll {
  overflow: auto;
}

h1:first-child, h2:first-child, h3:first-child, h4:first-child, h5:first-child, h6:first-child {
    margin-top: 0;
}

h1 {
    font-size: 2.5rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.75rem;
}

h4 {
    font-size: 1.5rem;
}

h5 {
    font-size: 1.25rem;
}

h6 {
    font-size: 1rem;
}

h1, h2, h3, h4, h5, h6 {
  margin: 1.5rem 0 1rem 0;
  font-family: inherit;
  font-weight: 600;
  line-height: 1.2;
  color: var(--header-color);
}

p {
  margin: 0 0 1rem 0;
  line-height: 1.5;
}
p:last-child {
  margin-bottom: 0;
}

a {
  text-decoration: none;
  color: #669cee;
  color: var(--primary-color);
}

.content-page {
  padding: 30px;
  padding-top: 50px;
}

/* Utils */
.clearfix:after {
  content: " ";
  display: block;
  clear: both;
}

.card {
  -moz-border-radius: 2px;
  -webkit-border-radius: 2px;
  border-radius: 2px;
  background-color: var(--surface-card);
  padding: 16px;
  box-sizing: border-box;
  margin-bottom: 16px;
}

.p-toast.p-toast-top-right, .p-toast.p-toast-top-left, .p-toast.p-toast-top-center {
  top: 20px;
}

@-webkit-keyframes fadeInDown {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, -20px, 0);
    transform: translate3d(0, -20px, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: none;
    transform: none;
  }
}
@keyframes fadeInDown {
  from {
    opacity: 0;
    transform: translate3d(0, -20px, 0);
  }
  to {
    opacity: 1;
    transform: none;
  }
}
@-webkit-keyframes fadeOutUp {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    -webkit-transform: translate3d(0, -20px, 0);
    transform: translate3d(0, -20px, 0);
  }
}
@keyframes fadeOutUp {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    -webkit-transform: translate3d(0, -20px, 0);
    transform: translate3d(0, -20px, 0);
  }
}
.fadeInDown {
  -webkit-animation-name: fadeInDown;
  animation-name: fadeInDown;
}

.fadeOutUp {
  -webkit-animation-name: fadeOutUp;
  animation-name: fadeOutUp;
}

.exception-body {
  box-sizing: border-box;
  background: radial-gradient(circle at 50% 100%, #6d6d7e, #3b3b48);
  padding-top: 100px;
  border-top: 10px solid #e96d66;
  height: 100vh;
}
.exception-body .exception-panel {
  background-color: #f7f7f7;
  width: 600px;
  margin: 0 auto;
  text-align: center;
  padding: 100px;
  box-sizing: border-box;
  -moz-border-radius: 2px;
  -webkit-border-radius: 2px;
  border-radius: 2px;
}
.exception-body .exception-panel img {
  width: 128px;
}
.exception-body .exception-panel h1 {
  font-size: 22px;
  color: #2d353c;
  margin-top: 50px;
  margin-bottom: 10px;
}
.exception-body .exception-panel p {
  font-size: 15px;
  margin: 0 0 30px 0px;
  color: #6a6a7d;
}


@media (max-width: 640px) {
  .exception-body {
    padding-top: 80px;
  }
  .exception-body .exception-panel {
    width: 100%;
    padding: 50px;
  }
}

#user-display,
.userrole {
  color: var(--primary-text-color);
}

#user-display {
  display: block;
  float: right;
  position: relative;
  padding-top: 2px;
  text-align: right;
  margin-top: 10px;
}
#user-display img {
  width: 32px;
  height: 32px;
  position: absolute;
  right: 0;
  top: 2px;
  border: 2px solid #000;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  -moz-transition: border-color 0.3s;
  -o-transition: border-color 0.3s;
  -webkit-transition: border-color 0.3s;
  transition: border-color 0.3s;
}
.username {
  margin-top: 1px;
}

#user-display span {
  display: block;
  margin-right: 48px;
}
#user-display:hover img {
  border-color: #daecef;
}

.loader {
  position: absolute;
  top: 50%;
  left: 40%;
  margin-left: 10%;
  transform: translate3d(-50%, -50%, 0);
}

.dot {
  width: 24px;
  height: 24px;
  background: #3ac;
  border-radius: 100%;
  display: inline-block;
  animation: slide 1s infinite;
}

.dot:nth-child(1) {
  animation-delay: 0.1s;
  background: #26A1D0;
}

.dot:nth-child(2) {
  animation-delay: 0.2s;
  background: #66E4F7;
}

.dot:nth-child(3) {
  animation-delay: 0.3s;
  background: #7379F7;
}

.dot:nth-child(4) {
  animation-delay: 0.4s;
  background: #FFB642;
}

.dot:nth-child(5) {
  animation-delay: 0.5s;
  background: #FFDC8D;
}

.layout-main {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  -ms-flex-pack: justify;
  justify-content: space-between;
  min-height: 100vh;
  -moz-transition: padding-left 0.2s;
  -o-transition: padding-left 0.2s;
  -webkit-transition: padding-left 0.2s;
  transition: padding-left 0.2s;
}

.layout-mask {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 998;
  width: 100%;
  height: 100%;
  animation-duration: 0.2s;
  animation-timing-function: cubic-bezier(0.05, 0.74, 0.2, 0.99);
  animation-fill-mode: forwards;
}

.layout-content {
    flex: 1 1 auto;
    padding-bottom: 10px;
    margin-bottom: 60px;
}

.layout-topbar {
    top: 0;
    z-index: 999;
    width: 100%;
    -moz-transition: width 0.2s;
    -o-transition: width 0.2s;
    -webkit-transition: width 0.2s;
    transition: width 0.2s;
    height: 75px;
}

.layout-topbar .layout-topbar-wrapper .layout-topbar-left .menu-button > i {
    color: #293241;
    color: var(--primary-text-color);
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-left .menu-button:hover {
  background-color: var(--primary-theme-color);
  -moz-transition: background-color 0.2s;
  -o-transition: background-color 0.2s;
  -webkit-transition: background-color 0.2s;
  transition: background-color 0.2s;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > a > .topbar-icon {
  color: #293241;
}

 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > ul {
  box-shadow: 0 2px 8px 0 rgba(25, 26, 28, 0.12);
  background-color: var(--primary-theme-color);
}

 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-rightpanel-button:hover {
  background-color: var(--secondary-theme-color);
  -moz-transition: background-color 0.2s;
  -o-transition: background-color 0.2s;
  -webkit-transition: background-color 0.2s;
  transition: background-color 0.2s;
}

 .layout-topbar {
  background-color: var(--primary-theme-color);;
  box-shadow: 0 10px 40px 0 rgba(41, 50, 65, 0.06);
}

 .layout-topbar .layout-topbar-wrapper {
  height: 100%;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-left {
  height: 100%;
  padding: 0 16px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  z-index: 999;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-left .layout-topbar-logo {
  height: 15px;
  color: #0678B1
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-left .layout-topbar-logo > img {
  height: 15px;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-left .menu-button {
  padding: 6px;
  margin-right: 16px;
  border-radius: 4px;
  display: none;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-left .menu-button i {
  font-size: 18px;
  width: 18px;
  height: 18px;
  background-color: transparent;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right {
  height: 100%;
  flex-grow: 1;
  padding: 0 16px 0 12px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: justify;
  justify-content: space-between;
  border-right: solid 1px transparent;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: end;
  justify-content: flex-end;
  flex-grow: 1;
  list-style-type: none;
  margin: 0;
  padding: 0;
  height: 100%;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li {
  position: relative;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
  height: 100%;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > a {
  width: 100%;
  padding: 6px;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > a > .topbar-icon {
  font-size: 18px;
  border-radius: 6px;
  width: 30px;
  height: 30px;
  background-color: transparent;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > a.layout-rightpanel-button i {
  -moz-transition: transform 0.2s;
  -o-transition: transform 0.2s;
  -webkit-transition: transform 0.2s;
  transition: transform 0.2s;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > ul {
  display: none;
  position: absolute;
  top: 62px;
  right: 0px;
  list-style-type: none;
  margin: 0;
  padding: 7px 0 8px;
  z-index: 1000;
  -moz-border-radius-bottomleft: 2px;
  -webkit-border-bottom-left-radius: 2px;
  border-bottom-left-radius: 2px;
  -moz-border-radius-bottomright: 2px;
  -webkit-border-bottom-right-radius: 2px;
  border-bottom-right-radius: 2px;
  min-width: 250px;
  animation-duration: 0.2s;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > ul .angle-icon {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: end;
  justify-content: flex-end;
  flex-grow: 1;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > ul > li {
  padding: 10px 15px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  cursor: pointer;
  list-style: none;
  margin-bottom: 4px;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > ul > li > a {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: justify;
  justify-content: space-between;
  font-weight: 600;
  font-size: 12px;
  line-height: 14px;
  color: var(--primary-text-color);
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > ul > li > i {
  margin-right: 10px;
  padding: 6px;
  border-radius: 2px;
  width: 26px;
  height: 26px;
  background-color: var(--primary-contrast-color);
  color: #ffffff;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > ul > li > a img {
  height: 36px;
  width: 36px;
  margin-right: 10px;
}

 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li.user-profile > a {
  margin-left: 16px;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li.user-profile > a > img {
  height: 28px;
  width: 28px;
  border-radius: 10px;
}

.layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li.active-topmenuitem > ul {
  display: block;
}
 .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-rightpanel-button {
  font-size: 18px;
  border-radius: 6px;
  width: 30px;
  height: 30px;
  margin-left: 26px;
  z-index: 1;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
}
@media (max-width: 991px) {
   .layout-topbar .layout-topbar-wrapper {
    -ms-flex-align: start;
    align-items: flex-start;
    position: relative;
    padding: 0 6px;
  }
}
@media (max-width: 576px) {
   .layout-topbar .layout-topbar-wrapper .layout-topbar-right .layout-topbar-actions > li > ul {
    left: 10px;
    right: 10px;
    position: fixed;
    top: 62px;
  }
}

.menu-wrapper {
  height: 100%;
  position: fixed;
  top: 0;
  z-index: 999;
  left: 0;
}
.menu-wrapper .sidebar-logo {
  height: 62px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -ms-flex-align: center;
  align-items: center;
  padding: 0 22px;
  padding-right: 20px;
}
.menu-wrapper .sidebar-logo .sidebar-pin {
  display: none;
  -moz-transition: all 0.2s;
  -o-transition: all 0.2s;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}

.menu-wrapper .sidebar-logo img {
  width: 17px;
  height: 20px;
  border: 0 none;
}
.menu-wrapper .layout-menu-container {
  height: calc(100% - 62px);
}
.menu-wrapper .layout-menu-container .layout-menu {
  list-style-type: none;
  margin: 0;
  padding: 0;
  max-width: 62px;
  overflow: hidden;
  -moz-transition: all 0.2s;
  -o-transition: all 0.2s;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}
.menu-wrapper .layout-menu-container .layout-menu > li > a {
  position: relative;
}
.menu-wrapper .layout-menu-container .layout-menu > li > a::before {
  content: "";
  width: 4px;
  height: 12px;
  display: block;
  border-radius: 0px 3px 3px 0px;
  position: absolute;
  left: 0;
}
.menu-wrapper .layout-menu-container .layout-menu > li > ul > li {
  margin-left: 6px;
  -moz-border-radius: 8px;
  -webkit-border-radius: 8px;
  border-radius: 8px;
}
.menu-wrapper .layout-menu-container .layout-menu li {
  padding: 10px 0;
}
.menu-wrapper .layout-menu-container .layout-menu li.active-menuitem > a i.layout-submenu-toggler {
  -webkit-transform: rotate(-180deg);
  -moz-transform: rotate(-180deg);
  -o-transform: rotate(-180deg);
  -ms-transform: rotate(-180deg);
  transform: rotate(-180deg);
}
.menu-wrapper .layout-menu-container .layout-menu li .layout-menu-tooltip {
  display: none;
}
.menu-wrapper .layout-menu-container .layout-menu li > a {
  margin: 0px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
  -moz-border-radius: 8px;
  -webkit-border-radius: 8px;
  border-radius: 8px;
  font-size: 13px;
  padding: 6px 20px;
  user-select: none;
  cursor: pointer;
}
.menu-wrapper .layout-menu-container .layout-menu li > a > span {
  margin: 0 8px;
  margin-left: 14px;
  font-weight: 600;
  font-size: 12px;
  line-height: 14px;
  visibility: hidden;
  white-space: nowrap;
}
.menu-wrapper .layout-menu-container .layout-menu li > a > i {
  font-size: 24px;
}
.menu-wrapper .layout-menu-container .layout-menu li > a > i.layout-submenu-toggler {
  -moz-transition: transform 0.2s;
  -o-transition: transform 0.2s;
  -webkit-transition: transform 0.2s;
  transition: transform 0.2s;
  margin-left: auto;
  font-size: 12px;
  visibility: hidden;
}
.menu-wrapper .layout-menu-container .layout-menu li > a.rotated-icon .layout-menuitem-icon {
  transform: rotate(90deg);
}
.menu-wrapper .layout-menu-container .layout-menu li > ul {
  list-style-type: none;
  overflow: hidden;
  padding: 0;
  margin: 0;
}
.menu-wrapper .layout-menu-container .layout-menu li > ul > li {
  padding: 0;
}
.menu-wrapper .layout-menu-container .layout-menu li > ul > li > a {
  padding: 10px 18px;
  margin-left: 0px;
  padding-right: 8px;
}
.menu-wrapper .layout-menu-container .layout-menu li > ul > li i {
  font-size: 14px;
}
.menu-wrapper .layout-menu-container .layout-menu li > ul > li ul li {
  padding: 0;
}
.menu-wrapper .layout-menu-container .layout-menu li > ul > li.layout-root-menuitem > a {
  display: -ms-flexbox;
  display: flex;
}

@media (max-width: 991px) {
  .layout-wrapper .menu-wrapper {
    top: 62px;
    z-index: 1010;
    -webkit-transition-timing-function: cubic-bezier(0.86, 0, 0.07, 1);
    transition-timing-function: cubic-bezier(0.86, 0, 0.07, 1);
    transform: translate3d(-230px, 0px, 0px);
    -moz-transition: all 0.2s;
    -o-transition: all 0.2s;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
  }
  .layout-wrapper .menu-wrapper .sidebar-logo {
    display: none;
  }
  .layout-wrapper .menu-wrapper .layout-menu-container .layout-menu {
    max-width: 230px;
  }
  .layout-wrapper.layout-mobile-active {
    overflow: hidden;
    height: 100vh;
  }
  .layout-wrapper.layout-mobile-active .menu-wrapper {
    transform: translate3d(0px, 0px, 0px);
  }
  .layout-wrapper.layout-mobile-active .menu-wrapper .layout-menu {
    max-width: 230px;
    background-color: var(--secondary-theme-color);
    color: var(--primary-text-color);
  }
  .layout-wrapper.layout-mobile-active .menu-wrapper .layout-menu > li {
    min-width: 230px;
  }
  .layout-wrapper.layout-mobile-active .menu-wrapper .layout-menu > li > ul > li {
    margin-left: 10px;
    margin-right: 12px;
  }
  .layout-wrapper.layout-mobile-active .menu-wrapper .layout-menu li ul li a {
    padding-left: 20px;
  }
  .layout-wrapper.layout-mobile-active .menu-wrapper .layout-menu li > a > span {
    visibility: visible;
    white-space: normal;
  }
  .layout-wrapper.layout-mobile-active .menu-wrapper .layout-menu li > a i.layout-submenu-toggler {
    visibility: visible;
  }
  .layout-wrapper.layout-mobile-active .menu-wrapper .layout-menu-container {
    overflow: auto;
  }
  .layout-wrapper.layout-mobile-active .layout-mask {
    display: block;
  }
  .layout-wrapper .layout-topbar .layout-topbar-wrapper .layout-topbar-left .menu-button {
    display: block;
  }
}
@media (min-width: 992px) {
  .layout-wrapper .menu-wrapper {
    top: 0px;
    width: 100%;
    height: 62px;
    position: relative;
  }
  .layout-wrapper .menu-wrapper .sidebar-logo {
    display: none;
  }
  .layout-wrapper .menu-wrapper .layout-menu-container {
    height: 100%;
    display: flex;
    align-items: center;
  }
  .layout-wrapper .menu-wrapper .layout-menu-container .layout-menu {
    list-style-type: none;
    margin: 0px 16px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: row;
    flex-direction: row;
    max-width: 100%;
    overflow: visible;
  }
  .layout-wrapper .menu-wrapper .layout-menu-container .layout-menu > li a {
    margin: 0px;
    padding: 10px 5px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -moz-transition: all 0.2s;
    -o-transition: all 0.2s;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
  }
  .layout-wrapper .menu-wrapper .layout-menu-container .layout-menu > li a:before {
    display: none;
  }
  .layout-wrapper .menu-wrapper .layout-menu-container .layout-menu > li a > span {
    margin: 0 8px;
    font-weight: 600;
    font-size: 12px;
    line-height: 14px;
    visibility: visible;
  }
  .layout-wrapper .menu-wrapper .layout-menu-container .layout-menu > li a > i {
    font-size: 14px;
  }

  .layout-wrapper .layout-topbar .layout-topbar-wrapper .layout-topbar-left .menu-button-wrapper .menu-button {
    display: none;
  }
}

.layout-rightpanel .rightpanel-wrapper {
  padding: 22px 20px 40px;
}
.layout-rightpanel .rightpanel-wrapper .rightpanel-section {
  padding: 16px 0;
}

.layout-wrapper.layout-rightpanel-active .layout-rightpanel {
  transform: translate3d(0px, 0px, 0px);
}

@media (max-width: 576px) {
  .layout-rightpanel {
    width: 100%;
    transform: translate3d(100%, 0px, 0px);
  }
}
.layout-footer {
  padding: 30px 36px;
  border-top: 1.5px solid var(--border-footer);
}

.layout-footer ul {
  padding: 0;
  margin: 0;
  list-style: none;
}
.layout-footer ul > li,  .layout-footer ul > li > a {
  padding: 7px 0;
  color: var(--primary-text-color);
  -moz-transition: color 0.2s;
  -o-transition: color 0.2s;
  -webkit-transition: color 0.2s;
  transition: color 0.2s;
}

.layout-footer ul > li > a:hover {
  color: var(--secondary-text-color);;
}

.layout-footer .footer-menutitle {
  color: var(--primary-text-color);
  font-weight: 600;
  font-size: 12px;
  line-height: 14px;
  min-height: 15px;
  display: block;
  margin-bottom: 9px;
}
.layout-footer .footer-subtitle {
  font-weight: 500;
  font-size: 14px;
  display: block;
  color: var(--primary-text-color);
}

.layout-footer .newsletter-input > input {
  width: 100%;
  background-color: var(--input-background-color);
  color: var(--primary-text-color);
  border: none;
  padding: 11px 16px;
  -moz-border-radius: 12px;
  -webkit-border-radius: 12px;
  border-radius: 12px;
  font-size: 14px;
  line-height: 200%;
}
.layout-footer .newsletter-input > input::placeholder {
    color: var(--primary-text-color);
    opacity: 1; /* Firefox */
}
.layout-footer .newsletter-input > button {
  -moz-border-radius: 8px;
  -webkit-border-radius: 8px;
  border-radius: 8px;
  position: absolute;
  right: 6px;
  top: 50%;
  margin-top: -16px;
}
.layout-footer .newsletter-input > button > span {
  display: block;
  padding: 0;
  width: 100%;
  font-weight: 600;
  font-size: 14px;
}
.layout-footer .footer-bottom {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  align-items: center;
}

.layout-footer .footer-bottom .all-right {
    line-height: 17px;
    font-weight: 500;
    font-size: 1rem;
}

.layout-footer .footer-bottom span {
  line-height: 22px;
  margin: 0;
  margin-right: 32px;
  font-size: 1.5rem;
  font-weight: 600;
    color: var(--header-color);
}

.layout-config.layout-config-active .layout-config-content .layout-config-button i {
  transform: rotate(360deg);
}

.layout-config-button i {
  font-size: 1.75rem;
  line-height: inherit;
  transform: rotate(0deg);
  transition: transform 1s;
}
.layout-config-button:hover {
  background: var(--primary-dark-color);
}

pre[class*=language-]:before, pre[class*=language-]:after {
  display: none !important;
}
pre[class*=language-] code {
  border-left: 6px solid var(--surface-border) !important;
  box-shadow: none !important;
  background: var(--surface-ground) !important;
  margin: 1em 0;
  color: var(--text-color);
  font-size: 14px;
}

i:not([class~=pi]) {
  background-color: transparent;
  color: #2196f3;
  font-family: Monaco, courier, monospace;
  font-style: normal;
  font-size: 12px;
  padding: 0 4px;
  letter-spacing: 0.5px;
  font-weight: 600;
  margin: 0 2px;
  display: inline-flex;
}

.layout-topbar-actions>li>ul>li:hover {
  background-color: var(--primary-contrast-lighter-color);
  -moz-transition: background-color 0.2s;
  -o-transition: background-color 0.2s;
  -webkit-transition: background-color 0.2s;
  transition: background-color 0.2s;
}

.menu-wrapper .sidebar-logo .sidebar-pin>span {
  display: block;
  height: 16px;
  width: 16px;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  border: 2px solid #dee2e6;
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a {
  color: var(--primary-text-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a:hover {
  color: #2170E7;
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a.active-route::before {
  background-color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a {
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a::before {
  background-color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li.active-menuitem {
  background-color: #ffffff;
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li.active-menuitem>a {
  background-color: #ffffff;
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li>a.active-route {
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li>a.active-route::before {
  background-color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li a {
  color: rgba(41, 50, 65, 0.7);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li a:hover {
  background-color: var(--primary-contrast-lighter-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li.active-menuitem>a {
  color: var(--primary-contrast-color);
}

.layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li.active-menuitem>a::before {
  background-color: var(--primary-contrast-color);
}

@media (min-width: 992px) {
  .layout-menu-default.layout-horizontal .menu-wrapper {
    box-shadow: none;
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>a {
    color: var(--primary-text-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>a:hover {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a {
    background-color: var(--primary-contrast-lighter-color);
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a i {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a:hover {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul {
    background-color: #ffffff;
    box-shadow: 0px 10px 40px rgba(41, 50, 65, 0.06);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a {
    color: rgba(41, 50, 65, 0.7);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a:hover {
    background-color: var(--primary-contrast-lighter-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li.active-menuitem>a {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a.active-route {
    background-color: var(--primary-contrast-color);
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a.active-route i {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default.layout-horizontal .menu-wrapper .layout-menu-container .layout-menu>li>ul li>a.active-route:hover {
    color: var(--primary-contrast-color);
  }
}

@media (max-width: 991px) {
  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a {
    color: #293241;
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>a:hover {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a {
    color: var(--primary-contrast-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li.active-menuitem>a::before {
    background-color: var(--primary-contrast-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li.active-menuitem {
    background-color: var(--primary-contrast-lighter-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul>li.active-menuitem>a {
    background-color: var(--primary-contrast-lighter-color);
    color: #293241;
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li a {
    color: rgba(41, 50, 65, 0.7);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li a:hover {
    background-color: var(--primary-contrast-lighter-color);
  }

  .layout-menu-default .menu-wrapper .layout-menu-container .layout-menu>li>ul li.active-menuitem>a {
    color: #293241;
  }
}

.layout-rightpanel {
  position: fixed;
  z-index: 1000;
  right: 0;
  top: 62px;
  height: calc(100% - 62px);
  padding: 0;
  width: 418px;
  overflow: auto;
  background-color: var(--primary-theme-color);
  color: var(--primary-text-color);
  transform: translate3d(418px, 0px, 0px);
  -moz-transition: transform 0.2s;
  -o-transition: transform 0.2s;
  -webkit-transition: transform 0.2s;
  transition: transform 0.2s;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  backface-visibility: hidden;
  box-shadow: 0px 10px 40px rgba(41, 50, 65, 0.06);
}

.layout-footer .newsletter-input {
  margin-top: 16px;
  background-color: #ffffff;
  position: relative;
  -moz-border-radius: 12px;
  -webkit-border-radius: 12px;
  border-radius: 12px;
}

.layout-footer .footer-bottom h6 {
  line-height: 17px;
  margin: 0;
  color: rgba(41, 50, 65, 0.5);
  font-weight: 500;
}

.layout-config {
  width: 16rem;
  height: 100%;
  position: fixed;
  right: 0;
  top: 0;
  padding: 1rem;
  overflow: auto;
  background: var(--secondary-theme-color);
  z-index: 999;
  border-left: 0 none;
  transform: translateX(100%);
  transition: transform 0.2s cubic-bezier(0.05, 0.74, 0.2, 0.99);
}

.layout-config.layout-config-active {
  transform: translateX(0);
  box-shadow: 0 2px 4px -1px rgba(0, 0, 0, 0.2), 0 4px 5px 0 rgba(0, 0, 0, 0.14), 0 1px 10px 0 rgba(0, 0, 0, 0.12);
}

.layout-config p {
  line-height: 1.5rem;
  color: #6c757d;
}

.layout-config-button {
  display: block;
  position: fixed;
  width: 3rem;
  height: 3rem;
  line-height: 3rem;
  background: var(--primary-color);
  color: var(--primary-color-text);
  text-align: center;
  top: 50%;
  right: 0;
  margin-top: -1.5rem;
  border-top-left-radius: 24px;
  border-bottom-left-radius: 24px;
  transition: background-color 0.2s;
  overflow: hidden;
  cursor: pointer;
  z-index: 999;
  box-shadow: -0.25rem 0 1rem rgba(0, 0, 0, 0.15);
}
